Upgrade Wizard fails to update dll

6 posts, 1 answers
  1. James
    James avatar
    18 posts
    Member since:
    Oct 2011

    Posted 19 Jun 2013 Link to this post

    Trying to update to the 2013.1.319 version of Kendo.Mvc.dll but it gives a warning.  It says that the most common cause is that there's a conflict of the local and GAC versions.  I don't have it in the GAC.

    Just need a way to get the most recent dll file.  Which, according to this post below, is the way to toggle the readonly property of a Kendo dropdown.

    http://www.kendoui.com/forums/mvc/dropdownlist/dropdownlist-readonly()-not-recognized.aspx
  2. Answer
    Biliana Ficheva
    Admin
    Biliana Ficheva avatar
    99 posts

    Posted 20 Jun 2013 Link to this post

    Hello James,

    This warning is a known issue which is not yet fixed.
    If this is the case on your side the project should be upgraded properly despite this warning in the upgrade log. So you could check whether the references are updated (expand the References node in Solution explorer and check the version of the Kendo.Mvc reference).

    If the references are not updated properly as a workaround you could delete the Kendo.Mvc reference and after that use the Telerik -> Kendo UI for ASP.NET MVC -> Convert to Kendo UI for ASP.NET MVC Application menu to convert the project and add the proper references (more information about the Convert Wizard could be found here: http://docs.kendoui.com/getting-started/using-kendo-with/aspnet-mvc/vs-integration/convert-project-wizard).

    Let me know if that helps.

    Regards,
    Biliana Ficheva
    Telerik
    Join us on our journey to create the world's most complete HTML 5 UI Framework - download Kendo UI now!
  3. UI for ASP.NET MVC is VS 2017 Ready
  4. James
    James avatar
    18 posts
    Member since:
    Oct 2011

    Posted 20 Jun 2013 Link to this post

    You are right on track with what happened when upgrading.  I deleted the dll file and did the conversion as you suggested, but it added in version 2012.3.1315.340 dll again even after selecting the correct 2013 version. But, it seems that's just an issue with the version number of the dll, because it now sees the readonly property for the dropdown.

    P.S. This forum seems to hate IE.  Copy and paste was failing yesterday and today I couldn't reply.  Works great with chrome, but I will do a search and see if that's a post yet.
  5. Filip
    Admin
    Filip avatar
    38 posts

    Posted 21 Jun 2013 Link to this post

    Hi James,

    Can you please provide some more info on the problems you have with IE. What version of the browser are you using as you know this makes a difference.

    Expecting your reply so that we can troubleshoot the problem.

    Regards,
    Filip
    Telerik
    Join us on our journey to create the world's most complete HTML 5 UI Framework - download Kendo UI now!
  6. James
    James avatar
    18 posts
    Member since:
    Oct 2011

    Posted 21 Jun 2013 Link to this post

    IE version 8.0.7601

    Can't update it yet, since that's what our company standard is.  Large corporations that aren't IT based tend to be a bit behind.
  7. Filip
    Admin
    Filip avatar
    38 posts

    Posted 24 Jun 2013 Link to this post

    Hello James,

    Thanks for writing back. 

    We are currently working on improving our web assets so this should be fixed soon.

    In the meantime sorry for the inconvenience!

    Regards,
    Filip
    Telerik
    Join us on our journey to create the world's most complete HTML 5 UI Framework - download Kendo UI now!
Back to Top
UI for ASP.NET MVC is VS 2017 Ready